.content_container {
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
}

.main_container {
    max-width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 0;
    z-index: 1;
} 

.product_image {
    width: 400px;
    height: 400px;
    object-fit: cover;
    margin: 26px;
}

.product_name {
    font-size: 32px;
    display: flex;
}

.product_name > p {
    font-size: 24px;
}

.product_name > span {
    /* margin-left: 350px; */
    margin-right: 10px;
    margin-top: 1px;
}

.material-icons.md-28 {
    font-size: 28px;
}
 
.content_divider {
    border-bottom: 1px solid #EEEEEE;
    max-width: 100%;
    margin-top: 20px;
    margin-bottom: 20px;
}

.content_div {
    border-bottom: 1px solid #EEEEEE;
    max-width: 100%;
    /* margin-top: 20px; */
    margin-bottom: 20px;
}

.product_information {
    margin-top: 30px;
    margin-right: 26px;
    width: 94.5%;
}

.info_display {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 0;
    z-index: 1;
    font-size: 16px;
    margin-bottom: 47px;
    margin-top: 25px;
}

.txt_display > p {
    margin-bottom: 15px;
}

.interest_Btn, .interest_Btn:link, .interest_Btn:visited {
    margin-top: -10px;
    padding: 13px 0;
    background: #0267ee;
    border: 1px solid #0267ee;
    color: #fefefe;
    width: 100%;
    font-size: 18px;
    transition: all .2s ease-in-out;  
    border-radius: 5px;
    cursor: pointer;
  }
  .interest_Btn:hover {
    border: 1px solid #0267ee;
    background-color: white;
    color: #0267ee;
      border-radius: 30px;
      cursor: pointer;
    }


.dbox_info {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 0;
    z-index: 1;
    font-size: 16px;
    margin-bottom: 10px;
    text-decoration: none;
}

.dbox_info > img {
    width: 40px;
    height: 40px;
    object-fit: cover;
    margin-left: 26px;
    margin-bottom: 26px;
    border-radius: 50%;
}

.product_dbox {
    border: 1px solid #EEEEEE;
    margin-left: 26px;
    margin-right: 26px;
    height: 200px;
    margin-bottom: 30px;
    border-radius: 5px;
    padding: 5px;
    border: 1px solid  #EEEEEE;
    outline: none;
    color:#535353;
    overflow-y: auto;
}

.product_d {
    margin-left: 26px;
    margin-right: 26px;
    padding: 5px;
    outline: none;
    font-size: 18px;
    margin-bottom: 15px;
    margin-top: -5px;
}


.dbox_info > div {
    margin-left: 26px;
    margin-right: 26px;
}

.usr_name{
    font-size: 12px;
    margin-left: 85px;
    margin-top: -50px;
}

/* styles for owner product expansion */

.delete_btn {
    justify-content: center;
    align-items: center; 
    text-align: center;
    cursor: pointer;
    vertical-align: middle;
    color: #0267ee;
    border-radius: 2em;
    outline: none;
    border: 1px solid #0267ee;
    border-color: #0267ee;
    background:  none;
    height: 40px;
    width: 120px;
    font-size: 18px;
    margin-right: 26px;
    transition: border-color color .6s ease;
}

.edit_btn {
    justify-content: center;
    align-items: center; 
    text-align: center;
    cursor: pointer;
    vertical-align: middle;
    color: white;
    border-radius: 2em;
    outline: none;
    border: none;
    background-color:  #0267ee;
    width: 271px;
    height: 40px;
    font-size: 18px;
    margin-left: 5px;
    transition: background-color .6s ease;
}

.validate_btn {
    justify-content: center;
    align-items: center; 
    text-align: center;
    cursor: pointer;
    vertical-align: middle;
    color: white;
    border-radius: 2em;
    outline: none;
    border: none;
    background-color:  #0267ee;
    width: 130px;
    height: 40px;
    font-size: 18px;
    margin-left: 5px;
    transition: background-color .6s ease;
}

.delete_btn:hover{
    border-color: #6694ff;
    color: #6694ff;
    transition: width .3s ease, height .3s ease; transition: width .3s ease, height .3s ease;
}

.edit_btn:hover{
    background-color: #6694ff;
    transition: width .3s ease, height .3s ease;
}

.validate_btn:hover{
    background-color: #6694ff;
    transition: width .3s ease, height .3s ease;
}

.popup_headline {
    color: #535353;
    font-size: 24px;
    font-weight: 500;
    text-align: center;
    margin-top: 10px;
}

.popup_msg {
    font-size: 16px;
    text-align: center;
    margin-top: 40px;
    margin-bottom: 40px;
}

.comment_box {
    display: flex;
    resize: none;
    width: 500px;
    padding: 5px;
    border-radius: 5px;
    border: 1px solid #a7a7a7;
    margin-top: 10px;
}

.exchange_item{
    padding: 5px;
    width: 510px;
    display: flex;
    margin-bottom: 15px;
    margin-top: 10px;
}

.info_selection {
    display: flex;
    font-size: 18px;
}

.selection_positioning {
    display: flex;
    margin-bottom: 15px;
}

.popup_checkbox1 {
    width: 20px;
    height: 20px;
    margin-left: 100px;
}

.popup_checkbox2 {
    width: 20px;
    height: 20px;
    margin-left: 33px;
}

.popup_checkbox3 {
    width: 20px;
    height: 20px;
    margin-left: 28px;
}

.popup_checkbox4 {
    width: 20px;
    height: 20px;
    margin-left: 51px;
}

/* styles for mobile screen */

@media screen and (max-width: 992px) {
    .main_container {
        /* max-width: 650px; */
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 0;
        z-index: 1;
    }

    .product_image {
        width: 600px;
        height: 600px;
        object-fit: cover;
        margin: 26px;
    }
    .product_information {
        width: 600px;
        margin-left: 26px;
    }

    .interest_Btn {
        width: 100%;
        margin-bottom: 45px;
    }

    .product_name > span {
        /* margin-left: 530px; */
        margin-right: 10px;
        margin-top: 2.5px;
    }

    .dbox_info {
        width: 650px;
    }

    .edit_btn{
        width: 449px;
    }
}

@media screen and (max-width: 668px) {
    .main_container {
        /* max-width: 650px; */
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 0;
        z-index: 1;
    }

    .product_image {
        width: 435px;
        height: 435px;
        object-fit: cover;
        margin: 26px;
    }

    .product_information {
        width: 435px;
        margin-left: 25px;
    }

    .interest_Btn {
        width: 100%;
        margin-bottom: 45px;
    }

    .product_name > span {
        /* margin-left: 244px; */
        margin-right: 10px;
        margin-top: 2.5px;
    }

    .dbox_info {
        width: 485px;
        text-decoration: none;
    }

    .edit_btn{
        width: 299px;
    }

    .exchange_item{
        padding: 5px;
        width: 100%;
    }

    .comment_box {
        resize: none;
        width: 97%;
        padding: 5px;
        border-radius: 5px;
        border: 1px solid #a7a7a7;
    }

}

@media screen and (max-width: 668px) {
    .main_container {
        max-width: 100%;
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 0;
        z-index: 1;
    }

    .product_image {
        width: 90%;
        height: 450px;
        object-fit: cover;
        margin: 26px;
    }

    .product_information {
        width: 450px;
        margin-left: 25px;
    }

    .interest_Btn {
        width: 100%;
        margin-bottom: 45px;
    }

    .product_name > span {
        /* margin-left: 244px; */
        margin-right: 10px;
        margin-top: 2.5px;
    }

    .dbox_info {
        width: 500px;
        text-decoration: none;
    }

}


@media screen and (max-width: 540px) {
    .content_container{
        max-width: 360px;
    }

    .main_container {
        max-width: 360px;
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 0;
        z-index: 1;
    }

    .product_image {
        width: 310px;
        height: 310px;
        object-fit: cover;
        margin: 25px;
    }
    
    .product_information {
        width: 308px;
        margin-left: 25px;
    }

    .interest_Btn {
        width: 100%;
        margin-bottom: 45px;
    }

    .product_name > span {
        /* margin-left: 244px; */
        margin-right: 10px;
        margin-top: 2.5px;
    }

    .dbox_info {
        width: 360px;
        text-decoration: none;
    }

    .edit_btn{
        width: 157px;
    }

}

.alertMsg_container {
    width: 100%;
    height: auto;
    margin: auto 0;
    position: absolute;
   }
   
   
   .success_msg {
     display: flex;
     background-color: #5cdb5c;
     color: white;
     height: 35px;
     max-width: 300px;
     border-radius: 5px;
     text-align: center;
     justify-content: center;
     margin-left: auto;
     margin-right: auto;
     vertical-align: middle;
     margin-top: -20px;
     margin-bottom: -15px;
     opacity: 1;
     transition: background-color .6s ease-in-out;
   }

   .alert_Sentmsg {
    display: flex;
    background-color: #ff3939;
    color: white;
    height: 35px;
    max-width: 300px;
    border-radius: 5px;
    text-align: center;
    justify-content: center;
    margin-left: auto;
    margin-right: auto;
    vertical-align: middle;
    margin-top: -20px;
    margin-bottom: -15px;
    opacity: 1;
    transition: background-color .6s ease-in-out;
  }

   .alert_msg {
    display: flex;
    background-color: #ff3939;
    color: white;
    height: 35px;
    width: 300px;
    border-radius: 5px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    vertical-align: middle;
    margin-top: 20px;
    margin-bottom: -15px;
    opacity: 1;
    transition: background-color .6s ease-in-out;
  }
   
   .fade-in {
     opacity: 0;
     animation-delay: 1s;
     -webkit-animation: arrowInOut 2s linear forwards;
     animation: arrowInOut 2s linear forwards;
   }
   
   @keyframes arrowInOut {
     0%,100% {opacity: 0;}
     30%, 80% {opacity: 1;}
   }
   
   .msg_cont {
     margin: auto;
     font-size: 12px;
   }
   
   .alert_msg:hover {
     background-color: #e02e2e;
     transition: width .3s ease-in-out, height .3s ease-in-out;
   }
